"""Add IP Trunk validation workflow.

Revision ID: a1a69e7554c4
Revises: 6c986f219e3f
Create Date: 2024-01-11 15:57:57.534785

"""
import sqlalchemy as sa
from alembic import op

# revision identifiers, used by Alembic.
revision = 'a1a69e7554c4'
down_revision = '6c986f219e3f'
branch_labels = None
depends_on = None


from orchestrator.migrations.helpers import create_workflow, delete_workflow

new_workflows = [
    {
        "name": "validate_iptrunk",
        "target": "SYSTEM",
        "description": "Validate IP trunk configuration",
        "product_type": "Iptrunk"
    }
]


def upgrade() -> None:
    conn = op.get_bind()
    for workflow in new_workflows:
        create_workflow(conn, workflow)


def downgrade() -> None:
    conn = op.get_bind()
    for workflow in new_workflows:
        delete_workflow(conn, workflow["name"])
