class MockedNetboxClient:
    class BaseMockObject:
        def __init__(self, **kwargs):
            for key, value in kwargs.items():
                setattr(self, key, value)

    def get_device_by_name(self):
        return self.BaseMockObject(id=1, name="test")

    @staticmethod
    def get_available_lags() -> list[str]:
        return [f"lag-{lag}" for lag in range(1, 5)]

    @staticmethod
    def get_available_interfaces():
        interfaces = []
        for interface in range(5):
            interface_data = {
                "name": f"Interface{interface}",
                "module": {"display": f"Module{interface}"},
                "description": f"Description{interface}",
            }
            interfaces.append(interface_data)
        return interfaces

    def create_interface(self):
        return self.BaseMockObject(id=1, name="test")

    def attach_interface_to_lag(self):
        return self.BaseMockObject(id=1, name="test")

    def reserve_interface(self):
        return self.BaseMockObject(id=1, name="test")

    @staticmethod
    def allocate_interface():
        return {"id": 1, "name": "test"}

    def free_interface(self):
        return self.BaseMockObject(id=1, name="test")

    @staticmethod
    def detach_interfaces_from_lag():
        return None

    @staticmethod
    def delete_interface():
        return None


class MockedSharePointClient:
    class BaseMockObject:
        def __init__(self, **kwargs):
            for key, value in kwargs.items():
                setattr(self, key, value)

    @staticmethod
    def add_list_item(list_name: str, fields: dict[str, str]) -> str:
        return f"http://{list_name}/{fields.popitem()}"
